karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Pieber <anpie...@gmail.com>
Subject Re: Karaf 2.3.x branch guideline
Date Tue, 10 Apr 2012 11:52:41 GMT
@JB +1; except that I think that we should not break backward
compatibility in the 2.x line --> 2.3 1.5/1.6/1.7 (--> +1 to Ioannis)
@Achim: +1, sounds fine

Kind regards,
Andreas

On Tue, Apr 10, 2012 at 13:15, Guillaume Nodet <gnodet@gmail.com> wrote:
> We need to keep 2.3.x for compatible features or improvements.
>
> On Tue, Apr 10, 2012 at 10:47, Jean-Baptiste Onofré <jb@nanthrax.net> wrote:
>
>> Hi all,
>>
>> as you probably saw, Guillaume created the karaf-2.3.x branch.
>> We started to move Jira issues on the "correct" branches.
>>
>> I propose the following guidelines for the different branches:
>> - karaf-2.2.x is only for bug fixes: no refactoring, no new features, no
>> enhancements, only bug fixes
>> - karaf-2.3.x is for bug fixes and new features. It's a kind of mix
>> between 3.0.0 and 2.2.x. Most of the 3.0.0 features will be there (OSGi
>> r4.3), but not sub-shell, and pax-url-mvn (not aether).
>> - trunk (3.0.0) includes OSGi r4.3 (and related OSGi frameworks),
>> sub-shell, pax-url-aether, etc.
>>
>> Does it sound good for you ?
>>
>> Regards
>> JB
>> --
>> Jean-Baptiste Onofré
>> jbonofre@apache.org
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com
>>
>
>
>
> --
> ------------------------
> Guillaume Nodet
> ------------------------
> Blog: http://gnodet.blogspot.com/
> ------------------------
> FuseSource, Integration everywhere
> http://fusesource.com

Mime
View raw message